/**
 * @type {Chai.ChaiPlugin}
 */
export const chaiDomDiff: Chai.ChaiPlugin;
export type DiffOptions = {
    /**
     * array of attributes to ignore, when given a string that attribute will be ignored on all tags
     * when given an object of type `IgnoreAttributesForTags`, you can specify on which tags to ignore which attributes
     */
    ignoreAttributes?: (string | import("./get-diffable-html.js").IgnoreAttributesForTags)[];
    /**
     * array of tags to ignore, these tags are stripped from the output
     */
    ignoreTags?: string[];
    /**
     * array of tags whose children to ignore, the children of
     * these tags are stripped from the output
     */
    ignoreChildren?: string[];
    /**
     * array of attributes which should be removed when empty.
     * Be careful not to add any boolean attributes here (e.g. `hidden`) unless you know what you're doing
     */
    stripEmptyAttributes?: string[];
};
//# sourceMappingURL=chai-dom-diff.d.ts.map